Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/gnu/dist/groff Add groff2netbsd script used for groff-1.16.1...



details:   https://anonhg.NetBSD.org/src/rev/2cfdb96a1167
branches:  trunk
changeset: 508791:2cfdb96a1167
user:      wiz <wiz%NetBSD.org@localhost>
date:      Thu Apr 19 23:27:52 2001 +0000

description:
Add groff2netbsd script used for groff-1.16.1 import.

diffstat:

 gnu/dist/groff/groff2netbsd |  222 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 222 insertions(+), 0 deletions(-)

diffs (226 lines):

diff -r dcf1197fd898 -r 2cfdb96a1167 gnu/dist/groff/groff2netbsd
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/gnu/dist/groff/groff2netbsd       Thu Apr 19 23:27:52 2001 +0000
@@ -0,0 +1,222 @@
+#! /bin/sh
+#
+#      $NetBSD: groff2netbsd,v 1.1 2001/04/19 23:27:52 wiz Exp $
+#
+# Copyright (c) 2001 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+# 3. All advertising materials mentioning features or use of this software
+#    must display the following acknowledgement:
+#      This product includes software developed by the NetBSD
+#      Foundation, Inc. and its contributors.
+# 4. Neither the name of The NetBSD Foundation nor the names of its
+#    contributors may be used to endorse or promote products derived
+#    from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+# groff2netbsd:  convert an groff source tree into a
+# netbsd groff source tree, under basesrc/dist,
+# based on bind2netbsd by Bernd Ernesti and changes by Simon Burge
+#
+# Rough instructions for importing new groff release:
+#
+#      $ cd /some/where/temporary
+#      $ tar xpfz /new/groff/release/tar/file
+#      $ vi /usr/src/gnu/dist/groff/groff2netbsd
+#        update VERSION to the number of the version you are importing,
+#        and DATE to the import date.
+#      $ sh /usr/src/gnu/dist/groff/groff2netbsd groff-1.x.y `pwd`
+#      $ cd gnusrc/gnu/dist/groff
+#      $ cvs import -m "Import groff 1.x.y" gnusrc/dist/groff FSF groff-1-x-y
+# merge sources according to instructions given
+#      $ cd ../../../groff-1.x.y
+#      $ run ./configure
+# merge newly generated src/include/defs.h with 
+# /usr/src/gnu/usr.bin/groff/include/defs.h; compare VARIABLES in Makefile
+# with those in /usr/src/gnu/usr.bin/groff/Makefile.inc
+#      $ cd ..
+#      $ rm -r gnusrc groff-1.x.y
+#      $ cd /usr/src/gnu/usr.bin/groff
+#      $ cvs commit -m "Updated autoconf generated files for groff 1.x.y."
+#
+#      - check makefiles to see if any extra sources have been added.
+#      - update distrib/sets if necessary.
+
+DATE="April 8, 2001"
+VERSION=1.16.1
+
+if [ $# -ne 2 ]; then echo "groff2netbsd src dest"; exit 1; fi
+
+r=$1
+d=$2/gnusrc/dist/groff
+
+case "$d" in
+       /*)
+               ;;
+       *)
+               d=`/bin/pwd`/$d
+               ;;
+esac
+
+case "$r" in
+       /*)
+               ;;
+       *)
+               r=`/bin/pwd`/$r
+               ;;
+esac
+
+echo preparing directory $d
+rm -rf $d
+mkdir -p $d
+
+### Copy the files and directories
+echo copying $r to $d
+cd $r
+pax -rw * $d
+
+# cd to import directory
+cd $d
+
+# delete some superfluous files
+echo deleting some superfluous files
+rm src/preproc/eqn/eqn.cc src/preproc/pic/pic.cc src/preproc/refer/label.cc
+
+echo done
+
+# replace @STRINGS@ in some files
+echo replacing @STRINGS@ in some files
+find . \( -name \*.man -or -name \*.me -or -name grog.sh \) -type f -print | while read f; do
+       sed -e 's,@COMMON_WORDS_FILE@,/usr/share/dict/eign,g' \
+           -e 's,@DEFAULT_INDEX@,/usr/share/dict/papers/Ind,g' \
+           -e 's,@DEFAULT_INDEX_NAME@,/usr/share/dict/papers,g' \
+           -e 's/@DEVICE@/ps/g' \
+           -e 's,@FONTDIR@,/usr/share/groff_font,g' \
+           -e 's,@FONTPATH@,/usr/share/groff_font,g' \
+           -e 's/@g@//g' \
+           -e 's/@G@//g' \
+           -e 's/@INDEX_SUFFIX@/.i/g' \
+           -e 's,@MACRODIR@,/usr/share/tmac,g' \
+           -e 's,@MACROPATH@,/usr/share/tmac,g' \
+           -e 's/@MAN1EXT@/1/g' \
+           -e 's/@MAN5EXT@/5/g' \
+           -e 's/@MAN7EXT@/7/g' \
+           -e 's/@TMAC@/tmac./g' \
+           -e 's/@TMAC_AN_PREFIX@//g' \
+           -e 's,@TMAC_DIR@,/usr/share/tmac/mm,g' \
+           -e 's/@TMAC_M_PREFIX@//g' \
+           -e 's/@TMAC_S_PREFIX@//g' \
+           -e "s/@VERSION@/${VERSION}/g" \
+           -e "s/@MDATE@/${DATE}/g" \
+           $f > /tmp/groff5r$$ && mv /tmp/groff5r$$ $f && \
+       echo replaced @STRINGS@ in $f; \
+done
+
+echo done
+
+# rename some man pages to have correct file names
+echo renaming man pages from .man to .[1-9]
+for f in src/roff/groff/groff.man src/roff/troff/troff.man \
+    src/roff/grog/grog.man src/roff/nroff/nroff.man src/preproc/tbl/tbl.man \
+    src/preproc/pic/pic.man src/preproc/eqn/eqn.man src/preproc/grn/grn.man \
+    src/preproc/refer/refer.man src/preproc/soelim/soelim.man \
+    src/devices/grops/grops.man src/devices/grotty/grotty.man \
+    src/devices/grodvi/grodvi.man src/devices/grolj4/grolj4.man \
+    src/devices/grohtml/grohtml.man src/devices/grolbp/grolbp.man \
+    src/utils/tfmtodit/tfmtodit.man src/utils/hpftodit/hpftodit.man \
+    src/utils/lookbib/lookbib.man src/utils/indxbib/indxbib.man \
+    src/utils/lkbib/lkbib.man src/utils/addftinfo/addftinfo.man \
+    src/utils/pfbtops/pfbtops.man src/utils/afmtodit/afmtodit.man \
+    src/xditview/gxditview.man; do \
+       mv $f `echo $f | sed 's/.man$/.1/'`; \
+done
+
+for f in man/groff_font.man man/groff_out.man tmac/groff_tmac.man; do \
+       mv $f `echo $f | sed 's/.man$/.5/'`; \
+done
+
+for f in man/groff.man man/groff_char.man man/roff.man tmac/groff_man.man \
+    tmac/groff_markup.man tmac/groff_mdoc.man tmac/groff_mdoc.samples.man \
+    tmac/groff_me.man tmac/groff_ms.man tmac/groff_msafer.man \
+    contrib/mm/groff_mm.man contrib/mm/groff_mmse.man contrib/mm/mmroff.man; \
+do \
+       mv $f `echo $f | sed 's/.man$/.7/'`; \
+done
+
+echo done
+
+### Remove the $'s around RCS tags
+find $d -type f -print | xargs egrep -l '\$(Id|Created|Header|NetBSD|Revision)' | while read f; do
+       sed -e 's/\$\(Id.*\) \$/\1/' \
+           -e 's/\$\(Created.*\) \$/\1/' \
+           -e 's/\$\(Header.*\) \$/\1/' \
+           -e 's/\$\(NetBSD.*\) \$/\1/' \
+           -e 's/\$\(Revision.*\) \$/\1/' \
+           $f > /tmp/groff1f$$ && mv /tmp/groff1f$$ $f && \
+       echo removed RCS tag from $f
+done
+
+### Add our NetBSD RCS Id
+find $d -type f -name '*.[chly]' -print | while read c; do
+       sed 1q < $c | grep -q '\$NetBSD' || (
+echo "/*       \$NetBSD\$      */" >/tmp/groff3n$$
+echo "" >>/tmp/groff3n$$
+cat $c  >> /tmp/groff3n$$
+mv /tmp/groff3n$$ $c && echo added NetBSD RCS tag to $c
+       )
+done
+
+find $d -type f -name '*.[0-9]' -print | while read m; do
+       sed 1q < $m | grep -q '\$NetBSD' || (
+echo ".\\\"    \$NetBSD\$" >/tmp/groff2m$$
+echo ".\\\"" >>/tmp/groff2m$$
+cat $m >> /tmp/groff2m$$
+mv /tmp/groff2m$$ $m && echo added NetBSD RCS tag to $m
+       )
+done
+
+find $d -type f -name '*.texi' -print | while read t; do
+        sed "2 s/^/@c \$NetBSD\$\\
+/" < $t > /tmp/groff4t$$
+       mv /tmp/groff4t$$ $t && echo added NetBSD RCS tag to $t
+done
+
+echo done
+
+### Clean up any CVS directories that might be around.
+echo "cleaning up CVS residue."
+(
+       cd $d
+       find . -type d -name "CVS" -print | xargs rm -r
+)
+echo done
+
+### Fixing file and directory permissions.
+echo "Fixing file/directory permissions."
+(
+       cd $d
+       find . -type f -print | xargs chmod u+rw,go+r
+       find . -type d -print | xargs chmod u+rwx,go+rx
+)
+echo done
+
+exit 0



Home | Main Index | Thread Index | Old Index